/* inter-100 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100;
  src: url('../fonts/inter-v19-latin_latin-ext-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-100italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 100;
  src: url('../fonts/inter-v19-latin_latin-ext-100italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-200 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/inter-v19-latin_latin-ext-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-200italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 200;
  src: url('../fonts/inter-v19-latin_latin-ext-200italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/inter-v19-latin_latin-ext-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/inter-v19-latin_latin-ext-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/inter-v19-latin_latin-ext-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/inter-v19-latin_latin-ext-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-900 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: normal;
  font-weight: 900;
  src: url('../fonts/inter-v19-latin_latin-ext-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* inter-900italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inter';
  font-style: italic;
  font-weight: 900;
  src: url('../fonts/inter-v19-latin_latin-ext-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* pt-sans-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/pt-sans-v17-latin_latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/pt-sans-v17-latin_latin-ext-regular.woff') format('woff'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* pt-sans-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'PT Sans';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/pt-sans-v17-latin_latin-ext-italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/pt-sans-v17-latin_latin-ext-italic.woff') format('woff'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* pt-sans-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/pt-sans-v17-latin_latin-ext-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/pt-sans-v17-latin_latin-ext-700.woff') format('woff'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* pt-sans-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'PT Sans';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/pt-sans-v17-latin_latin-ext-700italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/pt-sans-v17-latin_latin-ext-700italic.woff') format('woff'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

@keyframes tiles_animation {
  from {
  	background-color: #f0f0f0;
  }
  to {
  	background-color: #af0826;
  }
}
@keyframes tiles_image_animation {
  from {
  	opacity: 0.3;
  	-webkit-filter: grayscale(100%);
    filter: grayscale(100%);
  }
  to {
  	opacity: 1.0;
  	-webkit-filter: none;
    filter: none;
  }
}

body {  		
   	font-size: 100%;
  	font-family: 'Inter', sans-serif;
    font-weight: 300;
   	margin: 0;
    padding: 0;
    background: white;
    color: #101010;
   	width: 100%;
}
#header {
	background: white;
	position: sticky;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 99;
	border-bottom: 1px solid #eeeeee;
}
.logo {
	color: #101010;
	text-decoration: none;
	font-weight: 400;
	font-size: 130%;
	padding: 15px 20px 15px 50px;
	display: inline-block;
	margin-bottom: 10px;
	position: relative;
	top: -5px;
}
.weblogo {
	position: relative;
	top: 15px;
	max-height: 40px;
	margin-right: 10px;
}

.menu-item {
  display: flex;
  align-items: center; /* zarovná obsah vertikálne na stred */
  gap: 15px; /* medzera medzi ikonou a textom */
  padding: 8px;
  
}

.ikona {
  height: 40px; /* alebo necháš pôvodnú veľkosť */
  width: auto;
  opacity: 0.3;
}

.menutext {
  font-size: 16px;
  
}
#menu {
	display: flex;
	gap: 50px;
	float: right;
	margin-right: 50px;
	margin-top: 15px;
}
#menu a {
	text-decoration: none;
	color: #101010;
	font-weight: 400;
}
#menu a:hover {
	color: #af0826;
}
.menu-item .ikona {
	opacity: 0.3;
}
.menu-item:hover .ikona {
	opacity: 1.0;
	animation-name: tiles_image_animation;
  	animation-duration: 0.5s;
}

.hamburger {
  display: none;
}

.menu-item.aktivna {
  color: #af0826;
}

.menu-item.aktivna .menutext {
  color: #af0826;
}

#banner {
	height: 450px;
	width: 100%;
	background: url(../images/banner4.jpg) no-repeat center center; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  text-align: center;
  box-shadow: 0 4px 20px rgba(0,0,0,0.1);
}
#main {
	padding: 100px;
	text-align: center;
	/*background: #f0f2f5;*/
	background: white;
	display: flex;
  	flex-direction: column;
}

#main .inner {
	position: relative;
	top: -50px;

}
#main .inner2 {
	text-align: left;
}
.uzka_strana {
	max-width: 1000px;
	margin: 0 auto;
}
.uzka_strana h2 {
	border-bottom: solid 1px #af0826;
	margin-bottom: 10px;
}
h1 {
	font-size: 350%;
	/*color: #af0826;*/
	color: #101010;
	margin: 0;
	text-align: center;
	padding: 80px 50px 15px 50px;
	display: inline-block;
	font-weight: 100;
	line-height: 1.3;
	/*text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);*/
}

h1::after {
  content: "";
  display: block;
  margin: 30px auto 0 auto;
  width: 50%;                   
  border-bottom: 1px solid #aaaaaa; 
  /*text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);*/
}
h2 {
	color: #af0826;
	font-weight: 400; 
}
.rehole_nadpis {
	border-bottom: 1px solid #bbbbbb;
}
.rehole_nadpis h2 {
	margin: 10px;
	padding: 10px;
	font-weight: 200;
	color: #bbbbbb;
}
#left {
	float: left;
	padding-right: 25px;
	border-right: 1px solid #ccc;
	margin-right: 25px;
}
#right {
	margin-left: 300px;
}
.titulok {
	color: #101010;
	font-size: 200%;
	text-align: center;
	padding: 15px 50px 15px 50px;
	/*text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);*/
	font-weight: 100;
	line-height: 1.5;
	display: inline-block;
}
.tiles {
	margin: 0 auto;
	width: 80%;
}
.image {
	height: 250px;
	margin-top: 25px;
}
.big_tile {
	float: left;
	width: 260px;
	text-align: center;
	background: #f0f0f0;
	border-radius: 12px;
    /*box-shadow: 0 4px 20px rgba(0,0,0,0.1);*/
    margin: 20px;
    min-height: 420px;
    padding: 0 20px;
    
}
.big_tile:hover {
	background: #af0826;
	color: white;
	animation-name: tiles_animation;
  	animation-duration: 0.5s;
}
.big_tile:hover h2 {
	color: white;
}
.big_tile .image {
	-webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    opacity: 0.5;
}
.big_tile:hover .image {
	opacity: 1.0;
  	-webkit-filter: none;
    filter: none;
	animation-name: tiles_image_animation;
  	animation-duration: 0.5s;
}
.big_tile a {
	color: #101010;
	text-decoration: none;
}
.big_tile a:hover, .big_tile:hover a {
	color: white;
}
#footer {
	clear: both;
	font-size: 80%;
	/*padding-top: 50px;*/
}
.footer-inner {
	background: white;
	margin-bottom: 0;
	padding: 40px 50px;
	text-align: center;
	color: #aaaaaa;
	border-top: 1px solid #eeeeee;
}
.footer-inner a {
	text-decoration: none;
	color: #aaaaaa;
}
.footer-inner a:hover {
	text-decoration: underline;
	color: #101010;
}
.gray {
	color: #dadada;
	margin: 0 3px;
}
.cookies {
	position: relative;
	top: 3px;
	height: 15px;
}
.alphabet-filter {
	width: fit-content;
    margin: 20px 3px;
    background-color: #ffffff;
    padding: 3px;
    border-radius: 20px;
    border: 1px solid #cccccc;

}
.alphabet-filter button {
    background-color: #ffffff;
    border: 0px solid #ffffff;     
    font-weight: normal;
    padding: 6px 10px;
    border-radius: 15px;
    cursor: pointer;
    transition: 0.2s;
    min-width: 30px;
    color: #808080;
}
.alphabet-filter button:hover {
    background-color: #eeeeee;
    color: #000;
}
.alphabet-filter button.active {
    background-color: #af0826;
    color: #fff;
    text-decoration: none;
}
.filter-box {
      
      padding: 0 15px 15px 15px;
      max-width: 250px;
      margin-bottom: 50px;
    }

    .filter-title {
      font-size: 20px;
      margin-bottom: 15px;
      font-weight: bold;
    }

    .filter-option {
      margin-bottom: 10px;
      display: flex;
      align-items: center;
      color: #808080;
    }

    .filter-option input[type="checkbox"] {
      appearance: none;
      -webkit-appearance: none;
      background-color: #fff;
      border: 1px solid #dddddd;
      width: 18px;
      height: 18px;
      border-radius: 4px;
      cursor: pointer;
      position: relative;
      transition: background-color 0.2s;
    }

    .filter-option input[type="checkbox"]:checked {
      background-color: #af0826;
    }
    .filter-checkbox:checked + label {
  		color: #101010; /* modrá farba napríklad */
  		font-weight: bold; /* voliteľne zvýrazni */
	}

    .filter-option input[type="checkbox"]::after {
      content: "";
      position: absolute;
      top: 2px;
      left: 5px;
      width: 4px;
      height: 8px;
      border: solid #fff;
      border-width: 0 2px 2px 0;
      transform: rotate(45deg);
      opacity: 0;
      transition: opacity 0.2s;
    }

    .filter-option input[type="checkbox"]:checked::after {
      opacity: 1;
    }

    .filter-option label {
      margin-left: 10px;
      cursor: pointer;
    }
.credit_big {
	max-width: 800px;
	font-size: 90%;
	margin: 0 auto;
	clear: both;
	padding: 25px 0;
}
.credit_info {
	text-align: left;
	padding-top: 25px;
}
.credit_info a {
	color: #101010;
}
.credit_image {
	height: 70px;
	float: left;
	margin-right: 15px;
}
.credits_all {
	position: relative;
	top: 150px;
}
#dekanaty_list {
	padding: 35px;
}
.dekanat_link {
	color: #101010;
	text-decoration: none;
	display: inline-block;
	margin: 20px 0;
}
.dekanat_link:hover {
	color: #af0826;
}

.columns {
    column-width: 300px; 
    column-gap: 30px;
    margin-top: 45px;
}


.item {
    break-inside: avoid;
    margin-bottom: 15px;
    padding: 15px;
}
.item a {
	text-decoration: none;
    color: #101010;
}
.item a:hover {
	text-decoration: underline;
}
.item.filler {
  visibility: hidden;
  padding: 0;
  margin: 0;
  height: 1px;        /* minimum, aby stĺpec „existoval“ */
  pointer-events: none;
}
#stats {
	padding-top: 35px;
	color: #aaaaaa;
}
#detail_left, #detail_right {
	float: left;
  	padding: 20px 50px 20px 10px;
  	width: auto;
  	
}
#detail_all {
	margin-top: 25px;
	line-height: 1.8;
}

/* Clear floats after the columns */
#detail_all:after {
  content: "";
  display: table;
  clear: both;
}
#detail_all a {
	color: #101010;
	text-decoration: none;
}
#detail_all a:hover {
	text-decoration: underline;
}








#hladat_all {
	position: relative;
	margin-bottom: 50px;
}
#hladat {
	padding: 10px 15px;
	border: 1px solid #cccccc;
	border-radius: 18px;
	height: 36px;
	width: 100%;
	box-sizing: border-box;
}









@media (max-width: 1400px) {
.menu-item {
  gap: 12px; /* medzera medzi ikonou a textom */
  padding: 6px;
  
}

.ikona {
  height: 30px;
}

.menutext {
  font-size: 12px;
  
}
#menu {
	margin-right: 50px;
	margin-top: 20px;
}
}

@media (max-width: 1200px) {
.menu-item {
  display: flex;
  align-items: center; /* zarovná obsah vertikálne na stred */
  gap: 15px; /* medzera medzi ikonou a textom */
  padding: 15px;
  padding-left: 10%; 
}

.ikona {
  height: 50px; /* alebo necháš pôvodnú veľkosť */
  width: auto;
  opacity: 0.3;
}

.menutext {
  font-size: 16px;
}
#banner {
	background: url(../images/banner4.jpg) no-repeat right center; 
}
#menu {
	display: none;
	float: none;
	margin-right: 0px;
	margin-top: 0px;
	padding-bottom: 20px;
	padding-top: 15px;
	border-top: 1px solid #aaaaaa;
}
.hamburger {
	display: flex;
    flex-direction: column;
  cursor: pointer;
  gap: 5px;
  padding: 10px;
  position: absolute;
  right: 20px;
  top: 20px;
}

.hamburger span {
  height: 3px;
  width: 25px;
  background-color: #101010;
  border-radius: 2px;
  display: block;
}

  #menu.active {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
}

@media (max-width: 992px) {

}




@media (max-width: 768px) {
.logo {
	font-size: 110%;
	padding: 5px 20px 10px 20px;
	margin-bottom: 10px;
}
.weblogo {
	max-height: 30px;
	top: 10px;
}
h1 {
	font-size: 180%;
	padding-top: 30px;
}
.titulok {
	font-size: 120%;
}
#banner {
	height: 300px;
}
#main {
	padding: 30px;
}
#main .inner {
	position: relative;
	top: 0px;

}
.tiles {
	margin: 0 auto;
	width: 90%;
}
.big_tile {
	float: left;
	width: 230px;
	text-align: center;
	background: white;
	border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.1);
    margin: 20px;
    min-height: 420px; 
}
.hamburger {
  right: 10px;
  top: 10px;
}

.footer-inner {
	padding: 40px 50px 40px 50px;
	text-align: left;
}
.footer_item {
	display: block;
	padding: 5px 0;
}
.gray {
	display: none;
}
#left {
	width: 100%;
	float: none;
}
#right {
	margin-left: 25px;
}
.filter-box {
      border:0;
      padding: 0 30px 15px 15px;
      width: 100%;
      margin-bottom: 50px;
}
}